Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.concurrency
Class DirectoryLockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.owasp.dependencycheck.concurrency.DirectoryLockException

All Implemented Interfaces:
  Serializable

    public class DirectoryLockException

extends Exception

If thrown, indicates that a problem occurred when locking a directory.

Author:
  Jeremy Long (jeremy.long@owasp.org)
See Also:
  Serialized Form

Constructor Summary
`DirectoryLockException()` Constructs a new Directory Lock Exception.
`DirectoryLockException(String msg)` Constructs a new Directory Lock Exception.
`DirectoryLockException(String msg, Throwable ex)` Constructs a new Directory Lock Exception.
`DirectoryLockException(Throwable ex)` Constructs a new Directory Lock Exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectoryLockException

    public DirectoryLockException()

  Constructs a new Directory Lock Exception.

### DirectoryLockException

    public DirectoryLockException(String msg)

  Constructs a new Directory Lock Exception.

  Parameters:
    `msg` - the message describing the exception

### DirectoryLockException

    public DirectoryLockException(Throwable ex)

  Constructs a new Directory Lock Exception.

  Parameters:
    `ex` - the cause of the exception

### DirectoryLockException

    public DirectoryLockException(String msg,
                                  Throwable ex)

  Constructs a new Directory Lock Exception.

  Parameters:
    `msg` - the message describing the exception
    `ex` - the cause of the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.